Template:Hover/styles.css

< Template:Hover
imported>850710247liu2020年3月10日 (二) 09:52的版本 (从萌百复制,用于显示{{Pichover}})
(差异) ←上一版本 | 最后版本 (差异) | 下一版本→ (差异)
.hover {
    position: relative
}

.hoverbefore,
.hoverafter {
    position: absolute;
    transition: .37s all linear;
    top: 0;
    left: 0;
}

.hoverafter,
.hover:hover .hoverbefore,
/* body.skin-minerva */.hover:focus .hoverbefore,
/* body.skin-minerva */.hover:active .hoverbefore {
    opacity: 0;
}

.hover:hover .hoverafter,
/* body.skin-minerva */.hover:focus .hoverafter,
/* body.skin-minerva */.hover:active .hoverafter {
    opacity: 1;
}

.hover[data-HoverBeforeDisplayOnHover="none"]:hover .hoverbefore,
/* body.skin-minerva */.hover[data-HoverBeforeDisplayOnHover="none"]:focus .hoverbefore,
/* body.skin-minerva */.hover[data-HoverBeforeDisplayOnHover="none"]:active .hoverbefore,
.hover[data-HoverAfterDisplayOnHover="none"]:hover .hoverafter,
/* body.skin-minerva */.hover[data-HoverAfterDisplayOnHover="none"]:focus .hoverafter,
/* body.skin-minerva */.hover[data-HoverAfterDisplayOnHover="none"]:active .hoverafter {
    display: none!important;
}
.hover[data-HoverBeforeDisplayOnHover="inline-block"]:hover .hoverbefore,
/* body.skin-minerva */.hover[data-HoverBeforeDisplayOnHover="inline-block"]:focus .hoverbefore,
/* body.skin-minerva */.hover[data-HoverBeforeDisplayOnHover="inline-block"]:active .hoverbefore,
.hover[data-HoverAfterDisplayOnHover="inline-block"]:hover .hoverafter,
/* body.skin-minerva */.hover[data-HoverAfterDisplayOnHover="inline-block"]:focus .hoverafter,
/* body.skin-minerva */.hover[data-HoverAfterDisplayOnHover="inline-block"]:active .hoverafter {
    display: inline-block!important;
}
.hover[data-HoverBeforeDisplayOnHover="block"]:hover .hoverbefore,
/* body.skin-minerva */.hover[data-HoverBeforeDisplayOnHover="block"]:focus .hoverbefore,
/* body.skin-minerva */.hover[data-HoverBeforeDisplayOnHover="block"]:active .hoverbefore,
.hover[data-HoverAfterDisplayOnHover="block"]:hover .hoverafter,
/* body.skin-minerva */.hover[data-HoverAfterDisplayOnHover="block"]:focus .hoverafter,
/* body.skin-minerva */.hover[data-HoverAfterDisplayOnHover="block"]:active .hoverafter {
    display: block!important;
}